> ## Documentation Index
> Fetch the complete documentation index at: https://exsited.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a role

> Changes a role, or enables or disables it.

Send the fields to change under `role`, or its `status` to enable or disable it, for example `display_name`.

> [!NOTE]
>
> The SDK samples get their client from credentials your app registers once when it starts, as shown in [Authentication](https://exsited.mintlify.site/authentication.md#set-up-a-client). To try the call here, click **Try it**, set `host` to your Exsited API host name and paste an access token from [Get an access token](https://exsited.mintlify.site/api-reference/authentication/get-an-access-token.md). To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its `-d` payload.


## OpenAPI

````yaml PATCH /settings/roles/{role_id}
openapi: 3.1.0
info:
  title: Exsited API
  version: v4
servers:
  - url: https://{host}/api/v4
    variables:
      host:
        default: your-api-host.example.com
        description: Your Exsited API host name, without https://.
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Account emails
  - name: Account groups
  - name: Communications
  - name: Communication profiles
  - name: Orders
  - name: Quote orders
  - name: Express
  - name: Usages
  - name: Sales reps
  - name: Gift certificates
  - name: Invoices
  - name: Pro-forma invoices
  - name: Payments
  - name: Refunds
  - name: Credit notes
  - name: Credit note applications
  - name: Reconciliations
  - name: Items
  - name: Inventory adjustments
  - name: Units of measurement
  - name: Zones
  - name: Shipping packages
  - name: Shipping rules
  - name: Fulfillment profiles
  - name: Fulfillment terms
  - name: Item fulfillments
  - name: Item receipts
  - name: Bookings
  - name: Rental assets
  - name: Return merchandise authorisations
  - name: Purchase orders
  - name: Purchase invoices
  - name: Purchase payments
  - name: Purchase refunds
  - name: Purchase credit notes
  - name: Purchase credit note applications
  - name: Purchase express
  - name: Return vendor authorizations
  - name: ABA files
  - name: Receive terms
  - name: Labours
  - name: Tasks
  - name: Timesheets
  - name: Milestones
  - name: Employees
  - name: Departments
  - name: Designations
  - name: Teams
  - name: Time periods
  - name: Workflows
  - name: Workflow settings
  - name: Events
  - name: Custom events
  - name: System events
  - name: Approvals
  - name: Approval profiles
  - name: Approval user groups
  - name: Alerts
  - name: Alert responsibility settings
  - name: Alert responsibilities
  - name: Action scripts
  - name: Note groups
  - name: Note attachments
  - name: Instance settings
  - name: Accounting codes
  - name: Additional codes
  - name: Billing periods
  - name: Charging periods
  - name: Pricing periods
  - name: Invoice terms
  - name: Days of the month
  - name: Countries
  - name: Salutations
  - name: Document templates
  - name: Email templates
  - name: Roles
  - name: Operators
  - name: Operator groups
  - name: User settings
  - name: Custom attributes
  - name: Custom components
  - name: Custom features
  - name: Custom fields
  - name: Custom forms
  - name: Attribute attachments
  - name: Portal
  - name: Integration connections
  - name: External databases
  - name: Reports
  - name: Applications
  - name: Organisation
  - name: Child organisations
  - name: Webhooks
paths:
  /settings/roles/{role_id}:
    patch:
      tags:
        - Roles
      summary: Update a role
      description: >-
        Send the fields to change under `role`, or its `status` to enable or
        disable it, for example `display_name`.
      operationId: roles_update_settings_role
      parameters:
        - name: role_id
          in: path
          required: true
          description: The role's `id`, as the listing returns it.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                role:
                  type: object
              required:
                - role
            example:
              role:
                display_name: Support staff (AU)
      responses:
        '200':
          description: The role is updated.
      x-codeSamples:
        - lang: bash
          label: cURL
          source: >-
            curl -X PATCH
            "$EXSITED_BASE_URL/api/v4/settings/roles/201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
            \
              -H "Authorization: Bearer $ACCESS_TOKEN" \
              -H "Content-Type: application/json" \
              -d '{
                "role": {
                  "display_name": "Support staff (AU)"
                }
              }'
        - lang: python
          label: Python
          source: |
            from exsited import build_client

            client = build_client()

            response = client.roles.update_settings_role(
                "201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", {"role": {"display_name": "Support staff (AU)"}}
            )
            print(response.data)
        - lang: javascript
          label: JavaScript
          source: >
            import {buildClient} from 'exsited';


            const client = await buildClient();


            const response = await
            client.roles.updateSettingsRole('201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
            {
                role: {display_name: 'Support staff (AU)'},
            });

            console.log(response.data);
        - lang: php
          label: PHP
          source: >
            use Exsited\Client\ClientRegistry;


            $client = ClientRegistry::buildClient();


            $response =
            $client->roles->updateSettingsRole('201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
            [
                'role' => ['display_name' => 'Support staff (AU)'],
            ]);

            print_r($response->data);
        - lang: java
          label: Java
          source: |
            import com.exsited.Dto;
            import com.exsited.client.ApiResponse;
            import com.exsited.client.ClientRegistry;
            import com.exsited.client.ExsitedClient;
            import java.util.Map;

            ExsitedClient client = ClientRegistry.buildClient();

            ApiResponse<Dto> response = client.roles().updateSettingsRole(
                    "201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
                    Map.of("role", Map.of("display_name", "Support staff (AU)")));
            System.out.println(response.getMap());
        - lang: csharp
          label: .NET
          source: |
            using Exsited.Client;

            await using var client = ExsitedClient.BuildClient();

            var response = await client.Roles.UpdateSettingsRoleAsync(
                "201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
                new Dictionary<string, object?>
                {
                    ["role"] = new Dictionary<string, object?>
                    {
                        ["display_name"] = "Support staff (AU)",
                    },
                });

            Console.WriteLine(response.Json);
        - lang: dart
          label: Dart
          source: |
            import 'package:exsited/exsited.dart';

            final client = buildClient();

            final response = await client.roles.updateSettingsRole(
              '201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
              {
                'role': {'display_name': 'Support staff (AU)'},
              },
            );
            print(response.map);
        - lang: go
          label: Go
          source: "import (\n\t\"context\"\n\t\"fmt\"\n\t\"log\"\n\n\texsited \"github.com/exsited/exsited-sdk-go/v4\"\n)\n\nclient, err := exsited.BuildClient(nil)\nif err != nil {\n\tlog.Fatal(err)\n}\ndefer client.Close()\n\nresponse, err := client.Roles().UpdateSettingsRole(context.Background(), \"201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d\", map[string]any{\n\t\"role\": map[string]any{\"display_name\": \"Support staff (AU)\"},\n}, nil)\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Println(response.Map)\n"
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        An access token from `POST /api/v4/oauth2/token`. The SDKs get and renew
        it for you.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.